ISyncKnowledge2::GetMinimumSupportedVersion

ISyncKnowledge2::GetMinimumSupportedVersion

Sync Framework 2.0

Gets the minimum version of Sync Framework components that can be used with this object.


HRESULT GetMinSupportedVersion(
  SYNC_SERIALIZATION_VERSION * pVersion);

Parameters

Term

Definition

pVersion

[out] Returns the minimum version of Sync Framework components that can be used with this object.

  • S_OK

  • E_POINTER

A knowledge object that has a version of SYNC_SERIALIZATION_VERSION_V2 supports components that are compatible with Sync Framework 1.0 when the knowledge object contains only elements that are compatible with Sync Framework 1.0. In this situation, GetMinSupportedVersion returns a version of SYNC_SERIALIZATION_VERSION_V1.

Show:
© 2016 Microsoft